package com.ruoyi.nanjing.domain;

import java.util.Date;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * ParameterList对象 T_RP_StationPara_OP10
 * 
 * @author limy
 * @date 2021-01-29
 */
public class TRpStationpara extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 系统条码 */
    @Excel(name = "系统条码")
    private String barcode;

    /** SemiBarcode */
    @Excel(name = "SemiBarcode")
    private String semiBarcode;

    /** ScanBarcode */
    @Excel(name = "ScanBarcode")
    private String scanBarcode;

    /** rfid */
    @Excel(name = "rfid")
    private String rfidNO;

    /** 班次 */
    @Excel(name = "班次")
    private String shiftNo;

    /** 工位ID */
    @Excel(name = "工位ID")
    private String stationID;

    /** 机台ID */
    @Excel(name = "机台ID")
    private String machineID;

    /** MaskID */
    @Excel(name = "MaskID")
    private String maskID;

    /** 记录时间 */
    @Excel(name = "记录时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date insertTime;

    /** 上传标志 */
    @Excel(name = "上传标志")
    private String uploadFlag;

    /** 结束标志 */
    @Excel(name = "结束标志")
    private String finalFlag;

    /** 状态 */
    @Excel(name = "状态")
    private String state;

    /** 参数1 */
    @Excel(name = "参数1")
    private String para1;

    /** 参数1最小值 */
    @Excel(name = "参数1最小值")
    private String para1Min;

    /** 参数1最大值 */
    @Excel(name = "参数1最大值")
    private String para1Max;

    /** 参数1状态 */
    @Excel(name = "参数1状态")
    private String para1State;

    /** 参数1保留 */
    @Excel(name = "参数1保留")
    private String para1Reserve;

    /** 参数2 */
    @Excel(name = "参数2")
    private String para2;

    /** 参数2最小值 */
    @Excel(name = "参数2最小值")
    private String para2Min;

    /** 参数2最大值 */
    @Excel(name = "参数2最大值")
    private String para2Max;

    /** 参数2状态 */
    @Excel(name = "参数2状态")
    private String para2State;

    /** 参数2保留 */
    @Excel(name = "参数2保留")
    private String para2Reserve;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setBarcode(String barcode) 
    {
        this.barcode = barcode;
    }

    public String getBarcode() 
    {
        return barcode;
    }
    public void setSemiBarcode(String semiBarcode) 
    {
        this.semiBarcode = semiBarcode;
    }

    public String getSemiBarcode() 
    {
        return semiBarcode;
    }
    public void setScanBarcode(String scanBarcode) 
    {
        this.scanBarcode = scanBarcode;
    }

    public String getScanBarcode() 
    {
        return scanBarcode;
    }
    public void setRfidNO(String rfidNO) 
    {
        this.rfidNO = rfidNO;
    }

    public String getRfidNO() 
    {
        return rfidNO;
    }
    public void setShiftNo(String shiftNo) 
    {
        this.shiftNo = shiftNo;
    }

    public String getShiftNo() 
    {
        return shiftNo;
    }
    public void setStationID(String stationID) 
    {
        this.stationID = stationID;
    }

    public String getStationID() 
    {
        return stationID;
    }
    public void setMachineID(String machineID) 
    {
        this.machineID = machineID;
    }

    public String getMachineID() 
    {
        return machineID;
    }
    public void setMaskID(String maskID) 
    {
        this.maskID = maskID;
    }

    public String getMaskID() 
    {
        return maskID;
    }
    public void setInsertTime(Date insertTime) 
    {
        this.insertTime = insertTime;
    }

    public Date getInsertTime() 
    {
        return insertTime;
    }
    public void setUploadFlag(String uploadFlag) 
    {
        this.uploadFlag = uploadFlag;
    }

    public String getUploadFlag() 
    {
        return uploadFlag;
    }
    public void setFinalFlag(String finalFlag) 
    {
        this.finalFlag = finalFlag;
    }

    public String getFinalFlag() 
    {
        return finalFlag;
    }
    public void setState(String state) 
    {
        this.state = state;
    }

    public String getState() 
    {
        return state;
    }
    public void setPara1(String para1) 
    {
        this.para1 = para1;
    }

    public String getPara1() 
    {
        return para1;
    }
    public void setPara1Min(String para1Min) 
    {
        this.para1Min = para1Min;
    }

    public String getPara1Min() 
    {
        return para1Min;
    }
    public void setPara1Max(String para1Max) 
    {
        this.para1Max = para1Max;
    }

    public String getPara1Max() 
    {
        return para1Max;
    }
    public void setPara1State(String para1State) 
    {
        this.para1State = para1State;
    }

    public String getPara1State() 
    {
        return para1State;
    }
    public void setPara1Reserve(String para1Reserve) 
    {
        this.para1Reserve = para1Reserve;
    }

    public String getPara1Reserve() 
    {
        return para1Reserve;
    }
    public void setPara2(String para2) 
    {
        this.para2 = para2;
    }

    public String getPara2() 
    {
        return para2;
    }
    public void setPara2Min(String para2Min) 
    {
        this.para2Min = para2Min;
    }

    public String getPara2Min() 
    {
        return para2Min;
    }
    public void setPara2Max(String para2Max) 
    {
        this.para2Max = para2Max;
    }

    public String getPara2Max() 
    {
        return para2Max;
    }
    public void setPara2State(String para2State) 
    {
        this.para2State = para2State;
    }

    public String getPara2State() 
    {
        return para2State;
    }
    public void setPara2Reserve(String para2Reserve) 
    {
        this.para2Reserve = para2Reserve;
    }

    public String getPara2Reserve() 
    {
        return para2Reserve;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("barcode", getBarcode())
            .append("semiBarcode", getSemiBarcode())
            .append("scanBarcode", getScanBarcode())
            .append("rfidNO", getRfidNO())
            .append("shiftNo", getShiftNo())
            .append("stationID", getStationID())
            .append("machineID", getMachineID())
            .append("maskID", getMaskID())
            .append("insertTime", getInsertTime())
            .append("uploadFlag", getUploadFlag())
            .append("finalFlag", getFinalFlag())
            .append("state", getState())
            .append("para1", getPara1())
            .append("para1Min", getPara1Min())
            .append("para1Max", getPara1Max())
            .append("para1State", getPara1State())
            .append("para1Reserve", getPara1Reserve())
            .append("para2", getPara2())
            .append("para2Min", getPara2Min())
            .append("para2Max", getPara2Max())
            .append("para2State", getPara2State())
            .append("para2Reserve", getPara2Reserve())
            .toString();
    }
}
